Groovy Documentation

## org.codehaus.groovy.grails.test.junit4.listener
[Groovy] Class PerTestRunListener

    java.lang.Object
      org.codehaus.groovy.grails.test.junit4.listener.PerTestRunListener

    class PerTestRunListener

Property Summary
`java.lang.Object` | `name`

Constructor Summary
`PerTestRunListener(java.lang.Object name, java.lang.Object eventPublisher, java.lang.Object reports, java.lang.Object outAndErrSwapper)`

Method Summary
`static java.lang.Object` | `createJUnit4TestCaseFacade(Description description)`
`void` | `finish()`
`void` | `start()`
`void` | `testFailure(Failure failure)`
`void` | `testFinished(Description description)`
`void` | `testStarted(Description description)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### name

    final java.lang.Object name

Constructor Detail

### PerTestRunListener

    PerTestRunListener(java.lang.Object name, java.lang.Object eventPublisher, java.lang.Object reports, java.lang.Object outAndErrSwapper)

Method Detail

### createJUnit4TestCaseFacade

    static java.lang.Object createJUnit4TestCaseFacade(Description description)

### finish

    void finish()

### start

    void start()

### testFailure

    void testFailure(Failure failure)

### testFinished

    void testFinished(Description description)

### testStarted

    void testStarted(Description description)

Groovy Documentation